import java.awt.*;
import java.awt.geom.*;
import java.util.*;

/**
 * @author MR_J
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class Zeichen_Object 
{
	private Shape myShape;
	private Stroke myStroke;
	
	private Color myNormalColor; 
	private int myGradientPaint;
	private int myTexturePaint;
	
	private boolean istSelektiert;
	
	private double aktuelleX_Koor,aktuelleY_Koor;
	
	private double aktuelleBreite,aktuelleHoehe;
	
	private double aktuellerDrehpunkt_X,aktuellerDrehpunkt_Y;
	
	private AffineTransform my_Scale_AT,my_Shear_AT,my_Translate_AT,my_Rotate_AT;
	
	private AlphaComposite myComposite;
	
	private int Render_Allgemein,AntiAliasing,Dithering;
	
	public Zeichen_Object(Shape s,Stroke bstr,Color c,int grp,int txtp)
	{
	
	myStroke=bstr;
	myShape=s;
	myGradientPaint=grp;
	myNormalColor=c;
	myTexturePaint=txtp;
	Render_Allgemein=0;
	AntiAliasing=0;
	Dithering=0;
	istSelektiert=false;
	
	aktuellerDrehpunkt_X=0.0;
	aktuellerDrehpunkt_Y=0.0;
	
	aktuelleBreite=0.0;
	aktuelleHoehe=0.0;
	
	my_Rotate_AT=new AffineTransform();
	my_Scale_AT=new AffineTransform();
	my_Shear_AT=new AffineTransform();
	my_Translate_AT=new AffineTransform();
	}
	
	
	/**
	 * Returns the myNormalColor.
	 * @return Color
	 */
	public Color getMyNormalColor() {
		return myNormalColor;
	}

	/**
	 * Returns the myShape.
	 * @return Shape
	 */
	public Shape getMyShape() {
		return myShape;
	}


	/**
	 * Sets the myNormalColor.
	 * @param myNormalColor The myNormalColor to set
	 */
	public void setMyNormalColor(Color myNormalColor) {
		this.myNormalColor = myNormalColor;
	}

	/**
	 * Sets the myShape.
	 * @param myShape The myShape to set
	 */
	public void setMyShape(Shape myShape) {
		this.myShape = myShape;
	}



	/**
	 * Returns the myGradientPaint.
	 * @return int
	 */
	public int getMyGradientPaint() {
		return myGradientPaint;
	}

	

	/**
	 * Returns the myTexturePaint.
	 * @return int
	 */
	public int getMyTexturePaint() {
		return myTexturePaint;
	}

	/**
	 * Sets the myGradientPaint.
	 * @param myGradientPaint The myGradientPaint to set
	 */
	public void setMyGradientPaint(int myGradientPaint) {
		this.myGradientPaint = myGradientPaint;
	}

	/**
	 * Sets the myStroke.
	 * @param myStroke The myStroke to set
	 */
	public void setMyStroke(BasicStroke myStroke) {
		this.myStroke = myStroke;
	}

	/**
	 * Sets the myTexturePaint.
	 * @param myTexturePaint The myTexturePaint to set
	 */
	public void setMyTexturePaint(int myTexturePaint) {
		this.myTexturePaint = myTexturePaint;
	}

	/**
	 * Returns the myStroke.
	 * @return Stroke
	 */
	public Stroke getMyStroke() {
		return myStroke;
	}

	/**
	 * Sets the myStroke.
	 * @param myStroke The myStroke to set
	 */
	public void setMyStroke(Stroke myStroke) {
		this.myStroke = myStroke;
	}

	/**
	 * Returns the antiAliasing.
	 * @return int
	 */
	public int getAntiAliasing() {
		return AntiAliasing;
	}

	/**
	 * Returns the dithering.
	 * @return int
	 */
	public int getDithering() {
		return Dithering;
	}

	/**
	 * Returns the render_Allgemein.
	 * @return int
	 */
	public int getRender_Allgemein() {
		return Render_Allgemein;
	}

	/**
	 * Sets the antiAliasing.
	 * @param antiAliasing The antiAliasing to set
	 */
	public void setAntiAliasing(int antiAliasing) {
		AntiAliasing = antiAliasing;
	}

	/**
	 * Sets the dithering.
	 * @param dithering The dithering to set
	 */
	public void setDithering(int dithering) {
		Dithering = dithering;
	}

	/**
	 * Sets the render_Allgemein.
	 * @param render_Allgemein The render_Allgemein to set
	 */
	public void setRender_Allgemein(int render_Allgemein) {
		Render_Allgemein = render_Allgemein;
	}

	/**
	 * Returns the istSelektiert.
	 * @return boolean
	 */
	public boolean isIstSelektiert() {
		return istSelektiert;
	}

	/**
	 * Sets the istSelektiert.
	 * @param istSelektiert The istSelektiert to set
	 */
	public void setIstSelektiert(boolean istSelektiert) {
		this.istSelektiert = istSelektiert;
	}

	
	

	/**
	 * Returns the aktuelleX_Koor.
	 * @return double
	 */
	public double getAktuelleX_Koor() {
		return aktuelleX_Koor;
	}

	/**
	 * Returns the aktuelleY_Koor.
	 * @return double
	 */
	public double getAktuelleY_Koor() {
		return aktuelleY_Koor;
	}

	/**
	 * Sets the aktuelleX_Koor.
	 * @param aktuelleX_Koor The aktuelleX_Koor to set
	 */
	public void setAktuelleX_Koor(double aktuelleX_Koor) {
		this.aktuelleX_Koor = aktuelleX_Koor;
	}

	/**
	 * Sets the aktuelleY_Koor.
	 * @param aktuelleY_Koor The aktuelleY_Koor to set
	 */
	public void setAktuelleY_Koor(double aktuelleY_Koor) {
		this.aktuelleY_Koor = aktuelleY_Koor;
	}
	
	/**
	 * Returns the my_Rotate_AT.
	 * @return AffineTransform
	 */
	public AffineTransform getMy_Rotate_AT() {
		return my_Rotate_AT;
	}

	/**
	 * Returns the my_Scale_AT.
	 * @return AffineTransform
	 */
	public AffineTransform getMy_Scale_AT() {
		return my_Scale_AT;
	}

	/**
	 * Returns the my_Shear_AT.
	 * @return AffineTransform
	 */
	public AffineTransform getMy_Shear_AT() {
		return my_Shear_AT;
	}

	/**
	 * Returns the my_Translate_AT.
	 * @return AffineTransform
	 */
	public AffineTransform getMy_Translate_AT() {
		return my_Translate_AT;
	}

	

	/**
	 * Returns the aktuellerDrehpunkt_X.
	 * @return double
	 */
	public double getAktuellerDrehpunkt_X() {
		return aktuellerDrehpunkt_X;
	}

	/**
	 * Returns the aktuellerDrehpunkt_Y.
	 * @return double
	 */
	public double getAktuellerDrehpunkt_Y() {
		return aktuellerDrehpunkt_Y;
	}

	/**
	 * Sets the aktuellerDrehpunkt_X.
	 * @param aktuellerDrehpunkt_X The aktuellerDrehpunkt_X to set
	 */
	public void setAktuellerDrehpunkt_X(double aktuellerDrehpunkt_X) {
		this.aktuellerDrehpunkt_X = aktuellerDrehpunkt_X;
	}

	/**
	 * Sets the aktuellerDrehpunkt_Y.
	 * @param aktuellerDrehpunkt_Y The aktuellerDrehpunkt_Y to set
	 */
	public void setAktuellerDrehpunkt_Y(double aktuellerDrehpunkt_Y) {
		this.aktuellerDrehpunkt_Y = aktuellerDrehpunkt_Y;
	}

	/**
	 * Returns the aktuelleBreite.
	 * @return double
	 */
	public double getAktuelleBreite() {
		return aktuelleBreite;
	}

	/**
	 * Returns the aktuelleHoehe.
	 * @return double
	 */
	public double getAktuelleHoehe() {
		return aktuelleHoehe;
	}

	/**
	 * Sets the aktuelleBreite.
	 * @param aktuelleBreite The aktuelleBreite to set
	 */
	public void setAktuelleBreite(double aktuelleBreite) {
		this.aktuelleBreite = aktuelleBreite;
	}

	/**
	 * Sets the aktuelleHoehe.
	 * @param aktuelleHoehe The aktuelleHoehe to set
	 */
	public void setAktuelleHoehe(double aktuelleHoehe) {
		this.aktuelleHoehe = aktuelleHoehe;
	}


}